## org.eclipse.uml2.uml
Interface Type

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement

All Known Subinterfaces:
  Activity, Actor, Artifact, Association, AssociationClass, Behavior, BehavioredClassifier, Class, Classifier, Collaboration, CommunicationPath, Component, DataType, DeploymentSpecification, Device, EncapsulatedClassifier, Enumeration, ExecutionEnvironment, Extension, FunctionBehavior, InformationItem, Interaction, Interface, Node, OpaqueBehavior, PrimitiveType, ProtocolStateMachine, Signal, StateMachine, Stereotype, StructuredClassifier, UseCase

    public interface Type

extends PackageableElement

A representation of the model object 'Type'. A type is a named element that is used as the type for a typed element. A type can be contained in a package. A type constrains the values represented by a typed element.

The following features are supported:

- `Package`

See Also:
  `UMLPackage.getType()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`boolean` `conformsTo(Type other)` The query conformsTo() gives true for a type that conforms to another.

`Association`

`createAssociation(boolean end1IsNavigable, AggregationKind end1Aggregation, java.lang.String end1Name, int end1Lower, int end1Upper, Type end1Type, boolean end2IsNavigable, AggregationKind end2Aggregation, java.lang.String end2Name, int end2Lower, int end2Upper)`
Creates a(n) (binary) association between this type and the specified other type, with the specified navigabilities, aggregations, names, lower bounds, and upper bounds, and owned by this type's nearest package.

`org.eclipse.emf.common.util.EList<Association>` `getAssociations()` Retrieves the associations in which this type is involved
`Package` `getPackage()` Returns the value of the 'Package' reference.
`void` `setPackage(Package value)` Sets the value of the '`Package`' reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPackage

    Package getPackage()

  Returns the value of the 'Package' reference. It is bidirectional and its opposite is '`Owned Type`'.

  This feature subsets the following features:

  - '`Namespace`'
  Specifies the owning package of this classifier, if any.

  Returns:
    the value of the 'Package' reference.
  See Also:
    `setPackage(org.eclipse.uml2.uml.Package)`, `UMLPackage.getType_Package()`, `Package.getOwnedTypes()`

### setPackage

    void setPackage(Package value)

  Sets the value of the '`Package`' reference.

  Parameters:
    `value` - the new value of the 'Package' reference.
  See Also:
    `getPackage()`

### createAssociation

    Association createAssociation(boolean end1IsNavigable,
                                  AggregationKind end1Aggregation,
                                  java.lang.String end1Name,
                                  int end1Lower,
                                  int end1Upper,
                                  Type end1Type,
                                  boolean end2IsNavigable,
                                  AggregationKind end2Aggregation,
                                  java.lang.String end2Name,
                                  int end2Lower,
                                  int end2Upper)

  Creates a(n) (binary) association between this type and the specified other type, with the specified navigabilities, aggregations, names, lower bounds, and upper bounds, and owned by this type's nearest package.

  Parameters:
    `end1IsNavigable` - The navigability for the first end of the new association.
    `end1Aggregation` - The aggregation for the first end of the new association.
    `end1Name` - The name for the first end of the new association.
    `end1Lower` - The lower bound for the first end of the new association.
    `end1Upper` - The upper bound for the first end of the new association.
    `end1Type` - The type for the first end of the new association.
    `end2IsNavigable` - The navigability for the second end of the new association.
    `end2Aggregation` - The aggregation for the second end of the new association.
    `end2Name` - The name for the second end of the new association.
    `end2Lower` - The lower bound for the second end of the new association.
    `end2Upper` - The upper bound for the second end of the new association.

### getAssociations

    org.eclipse.emf.common.util.EList<Association> getAssociations()

  Retrieves the associations in which this type is involved.

### conformsTo

    boolean conformsTo(Type other)

  The query conformsTo() gives true for a type that conforms to another. By default, two types do not conform to each other. This query is intended to be redefined for specific conformance situations. result = false

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.